import React from 'react';
import Style from './style.less';

export default (props) => {
  const { children, action, ...otherProps } = props || {};

  return (
    <div className={Style['cell-wrapper']} {...otherProps}>
      <div className={Style['cell-body']}>
        {children}
      </div>
      { action && (
        <div className={Style['cell-action']}>
          {action}
        </div>)
      }
    </div>
  )
}
